// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface EssStatusZBATOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.EssStatusZBAT)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the logicalNodeForEventAndStatus field is set.
   */
  boolean hasLogicalNodeForEventAndStatus();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return The logicalNodeForEventAndStatus.
   */
  openfmb.commonmodule.LogicalNodeForEventAndStatus getLogicalNodeForEventAndStatus();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.LogicalNodeForEventAndStatusOrBuilder getLogicalNodeForEventAndStatusOrBuilder();

  /**
   * <pre>
   * Battery system status &amp;ndash; True: on
   * </pre>
   *
   * <code>.commonmodule.StatusSPS BatSt = 2;</code>
   * @return Whether the batSt field is set.
   */
  boolean hasBatSt();
  /**
   * <pre>
   * Battery system status &amp;ndash; True: on
   * </pre>
   *
   * <code>.commonmodule.StatusSPS BatSt = 2;</code>
   * @return The batSt.
   */
  openfmb.commonmodule.StatusSPS getBatSt();
  /**
   * <pre>
   * Battery system status &amp;ndash; True: on
   * </pre>
   *
   * <code>.commonmodule.StatusSPS BatSt = 2;</code>
   */
  openfmb.commonmodule.StatusSPSOrBuilder getBatStOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENG_GridConnectModeKind GriMod = 3;</code>
   * @return Whether the griMod field is set.
   */
  boolean hasGriMod();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENG_GridConnectModeKind GriMod = 3;</code>
   * @return The griMod.
   */
  openfmb.commonmodule.ENG_GridConnectModeKind getGriMod();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENG_GridConnectModeKind GriMod = 3;</code>
   */
  openfmb.commonmodule.ENG_GridConnectModeKindOrBuilder getGriModOrBuilder();

  /**
   * <pre>
   * State of charge (in percentage)
   * </pre>
   *
   * <code>.commonmodule.MV Soc = 4;</code>
   * @return Whether the soc field is set.
   */
  boolean hasSoc();
  /**
   * <pre>
   * State of charge (in percentage)
   * </pre>
   *
   * <code>.commonmodule.MV Soc = 4;</code>
   * @return The soc.
   */
  openfmb.commonmodule.MV getSoc();
  /**
   * <pre>
   * State of charge (in percentage)
   * </pre>
   *
   * <code>.commonmodule.MV Soc = 4;</code>
   */
  openfmb.commonmodule.MVOrBuilder getSocOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.StatusSPS Stdby = 5;</code>
   * @return Whether the stdby field is set.
   */
  boolean hasStdby();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.StatusSPS Stdby = 5;</code>
   * @return The stdby.
   */
  openfmb.commonmodule.StatusSPS getStdby();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.StatusSPS Stdby = 5;</code>
   */
  openfmb.commonmodule.StatusSPSOrBuilder getStdbyOrBuilder();

  /**
   * <pre>
   * State of health of the DER storage.
   * </pre>
   *
   * <code>.commonmodule.MV SoH = 6;</code>
   * @return Whether the soH field is set.
   */
  boolean hasSoH();
  /**
   * <pre>
   * State of health of the DER storage.
   * </pre>
   *
   * <code>.commonmodule.MV SoH = 6;</code>
   * @return The soH.
   */
  openfmb.commonmodule.MV getSoH();
  /**
   * <pre>
   * State of health of the DER storage.
   * </pre>
   *
   * <code>.commonmodule.MV SoH = 6;</code>
   */
  openfmb.commonmodule.MVOrBuilder getSoHOrBuilder();

  /**
   * <pre>
   * Energy available of the DER storage (WHAvail = WHRtg * SoC * SoH)
   * </pre>
   *
   * <code>.commonmodule.MV WHAvail = 7;</code>
   * @return Whether the wHAvail field is set.
   */
  boolean hasWHAvail();
  /**
   * <pre>
   * Energy available of the DER storage (WHAvail = WHRtg * SoC * SoH)
   * </pre>
   *
   * <code>.commonmodule.MV WHAvail = 7;</code>
   * @return The wHAvail.
   */
  openfmb.commonmodule.MV getWHAvail();
  /**
   * <pre>
   * Energy available of the DER storage (WHAvail = WHRtg * SoC * SoH)
   * </pre>
   *
   * <code>.commonmodule.MV WHAvail = 7;</code>
   */
  openfmb.commonmodule.MVOrBuilder getWHAvailOrBuilder();
}
